/*
** Module   : VT100SwingKeyboard.java
** Abstract : VT-100 Swing keyboard implementation.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------Description-----------------
** 001 MAG 20140318 First version.
*/

package com.goldencode.p2j.ui.client.chui.driver.swing;

import java.awt.event.*;

import com.goldencode.terminal.*;

/**
 * VT-100 Swing keyboard implementation. Also used for JS code.
 * 
 * @author mag
 *
 */
public class VT100SwingKeyboard
extends VT100AbstractKeyboard
implements KeyListener
{   
   /**
    * Key pressed event handler.
    *  
    * @param   event
    *          Keyboard event.
    */
   @Override
   public void keyPressed(KeyEvent event)
   {
      handleKeystroke(event.getKeyCode(), event.getKeyChar());
   }
   
   /**
    * Key typed event handler.
    *  
    * @param   event
    *          Keyboard event.
    */
   @Override
   public void keyTyped(KeyEvent event)
   {
      // not used
   }

   /**
    * Key released event handler.
    *  
    * @param   event
    *          Keyboard event.
    */
   @Override
   public void keyReleased(KeyEvent event)
   {      
      // not used
   }
   
   /**
    * Handle JS key codes.
    * 
    * @param   keyCode
    *          Key code.
    * @param   charCode
    *          Character code
    */
   public void injectKey(int keyCode, char charCode)
   {
      handleKeystroke(keyCode, charCode);
   }
}
