/*
** Module   : AttributeStorage.java
** Abstract : a structure used to save current terminal attributes.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------Description-----------------
** 001 MAG 20140318 First version.
*/

package com.goldencode.terminal;

/**
 * This structure is used to save and restore terminal attributes.
 * 
 * @author mag
 *
 */
public class AttributeStorage
{
   /** Cursor row number */
   public int row;
   
   /** Cursor column number */
   public int col;
   
   /** Current cell attribute */
   public int attribute;
   
   /** Current cell color */
   public int color;

   /**
    * Constructor.
    * 
    * @param   row
    *          Cursor row number
    * @param   col
    *          Cursor column number
    * @param   attribute
    *          Cell attribute
    * @param   color
    *          Cell color
    */
   public AttributeStorage(int row, int col, int attribute, int color)
   {
      this.row = row;
      this.col = col;
      this.attribute = attribute;
      this.color = color;
   }
}
