/*
** Module   : shell.h
** Abstract : Define constants and function prototypes.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 MAG 20140318 Created initial version.
*/

#define BUFFER_SIZE 1024

// Run OS shell
int os_shell(char* terminal, char** argv, int* mfd_inp, int* mfd_out);

// Wait for process to exit
int wait_pid(int pid);

// Read from terminal input
int read_pty(int mfd, char* buffer, int size);

// Write to terminal output
int write_pty(int mfd, void* buffer, int size);
